package api.common.pojo.param.project;

import api.common.pojo.common.PageVO;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class SimulationManualProjectParam extends PageVO {

    //id
    private String id;

    //项目日期
    private Integer projectDate;

    //项目序号
    private Integer projectNum;

    //项目id
    private String projectId;

    //项目名称
    private String projectName;

    //项目描述
    private String projectDescribe;

    //算法
    private String algorithm;

    //算法名称
    private String algorithmName;

    //车辆
    private String vehicle;

    //场景
    private String scene;

    //运行周期
    private String operationCycle;

    //并行度
    private String parallelism;

    //规则查看
    private String ruleView;

    //是否选择gpu(0:是，1：否)
    private String isChoiceGpu;

    //创建开始日期yyyy-MM-dd
    private String createStartDate;

    //创建结束日期yyyy-MM-dd
    private String createEndDate;

    //当前运行状态
    private String nowRunState;

    //评测等级
    private String evaluationLevel;

    //开始时间
    private Date startTime;

    //完成时间
    private Date finishTime;

    //最大仿真时间
    private Long maxSimulationTime;

    private String isDeleted;

    private Date createTimeStart;

    private Date createTimeEnd;

    private Date finishTimeStart;

    private Date finishTimeEnd;

    private String finishDateStart;

    private String finishDateEnd;


    private String ids;

    //条件参数
    private String finishTimeFmt;

    //下拉类型1、算法2、车辆、3、场景
    private String dropDownType;

    //任务id
    private String taskId;

    //算法类型
    private String algorithmType;

    //仿真结果地址
    private String runResultFilePath;


    //是否生成本地pdf文件
    private Boolean isCreateLocalPdfFile;

    //本地pdf文件路径
    private String LocalPdfFilePath;

    //是否打包报告pdf
    private Boolean isPagePdf;

    //创建人
    private String createUserId;


}
