package api.common.pojo.vo.project;

import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * 任务详情
 */
@Getter
@Setter
public class ProjectTaskDetailsVo {

    //任务id
    private String taskId;

    //场景名称
    private String sceneName;

    //运行开始时间
    private String runStartTime;

    //运行结束时间
    private String runEndTime;

    //执行状态
    private String runState;

    //完成状态
    private String finishState;

    //场景描述
    private String sceneDescribe;

    //里程
    private String mileage;

    //平均速度
    private String averageVelocity;

    //最大速度
    private String maximunSpeed;

    //最小速度
    private String minimunVelocity;

    //最大加速度
    private String maximumAcceleration;

    //最大减速度
    private String maximumDeceleration;

    //最大摆角速度
    private String maximumSwingSpeed;

    //自车速度方差
    private Double speedVariance;

    //舒适度
    private String speedComfortLevel;

    //自车横摆角速度均方根
    private Double swingSpeedMeanSquareRoot;

    //舒适度
    private String swingComfortLevel;

    //acceleration变化曲线
    private String acceleration;

    //lane_offset变化曲线
    private String laneOffset;

    //brake变化曲线
    private String brake;

    //steeting_wheel变化曲线
    private String steetingWheel;

    //throttle变化曲线
    private String throttle;

    //yaw_rate变化曲线
    private String yawRate;

    //velocity变化曲线
    private String velocity;

    //其他
    private String otherCurve;

    //变化曲线
    private Map CurveData;

    //视频地址
    private List<String> videoUrl;


}
