package com.css.simulation.resource.scheduler.pojo.po;

import api.common.pojo.common.CommonPO;
import lombok.*;

@EqualsAndHashCode(callSuper = true)
@Data                                                                                                            
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskPO extends CommonPO {
    private String id;
    private String pId;
    private String sceneId;
    private String sceneName;
    private String sceneType;
    private String runState;
    private String runResultFilePath;
    private String returnSceneId;
    private Double score;
    private String targetEvaluate;
    private String scoreExplain;
    private Long maxSimulationTime;
    private String lastTargetId;
}
